# Uses of Class
nu.xom.xslt.XSLException

Packages that use XSLException
Package
Description
nu.xom.xslt
`nu.xom.xslt` connects XOM documents to TrAX-based XSLT processors.

## Uses of XSLException in nu.xom.xslt

Methods in nu.xom.xslt that throw XSLException
Modifier and Type
Method
Description
`Nodes`
XSLTransform.`transform(Document in)`
Creates a new `Nodes` from the input `Document` by applying this object's stylesheet.
`Nodes`
XSLTransform.`transform(Nodes in)`
Creates a new `Nodes` object from the input `Nodes` object by applying this object's stylesheet.
Constructors in nu.xom.xslt that throw XSLException
Modifier
Constructor
Description
``
`XSLTransform(Document stylesheet)`
Creates a new `XSLTransform` by reading the stylesheet from the supplied document.
``
`XSLTransform(Document stylesheet, NodeFactory factory)`
Creates a new `XSLTransform` by reading the stylesheet from the supplied document.